﻿using System;
using Windows.UI;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 난수 발생기
        /// </summary>
        private Random random = new Random();

        /// <summary>
        /// 색상 바이트 배열
        /// </summary>
        private byte[] colorByteArray = new byte[3];

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 그리드 탭 처리하기 - grid_Tapped(sender, e)

        /// <summary>
        /// 그리드 탭 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void grid_Tapped(object sender, TappedRoutedEventArgs e)
        {
            if(e.OriginalSource is TextBlock)
            {
                TextBlock textBlock = e.OriginalSource as TextBlock;

                this.random.NextBytes(this.colorByteArray);

                Color color = Color.FromArgb(255, this.colorByteArray[0], this.colorByteArray[1], this.colorByteArray[2]);

                textBlock.Foreground = new SolidColorBrush(color);
            }
        }

        #endregion
    }
}